Utilities
3
LIBTRACKER-CLIENT Library

# Utilities

Utility and miscellaneous functions.

## Synopsis

    #include <libtracker-client/tracker.h>

    gchar *             tracker_sparql_escape               (const gchar *str);

## Description

This is miscellaneous API that may be useful to users.

## Details

### tracker_sparql_escape ()

    gchar *             tracker_sparql_escape               (const gchar *str);

Escapes a string so it can be passed as a SPARQL parameter in any query/update.

`str` :

  a string to escape.

Returns :

  the newly allocated escaped string which must be freed using `g_free()`.

Since 0.8